Đến nội dung


Hình ảnh
- - - - -

[nhờ giúp đỡ]thay đổi chiều cao text


  • Please log in to reply
11 replies to this topic

#1 engineer0405

engineer0405

    biết vẽ polygon

  • Members
  • PipPip
  • 78 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 10 April 2012 - 10:20 PM

em chào các anh ạ
các anh viết giúp em với ạ
1.lisp thế này ạ
-chọn vùng cần thay đổi chiều cao chữ
-chọn chiều cao chữ
-tất cả các text trong vùng chọn đều có cùng kích thước mình nhập (không phân biệt font chữ...)
2.lisp như vậy ạ:
-chọn vùng chọn
-kick vào text cần thay đổi
-Nhập chiều cao cần thay đổi
Nhưng khác ở lisp này là text mà mình chọn có cùng text style mới thay đổi còn những text khác vẫn giữ nguyên
em đang cần, mong các anh giúp ạ
  • 0

#2 mr.trunghd

mr.trunghd

    biết lệnh mirror

  • Advance Member
  • PipPipPip
  • 150 Bài viết
Điểm đánh giá: 46 (tàm tạm)

Đã gửi 10 April 2012 - 11:27 PM

Với yêu cầu như của bạn Cad dư sức làm đc mà. Bạn vào Tools -> Quick select -> "Tha hồ mà lựa chọn nhé" tiếp đó bạn vào thanh Properties mà chỉnh sửa.
  • 0

Đừng bao giờ mất kiên nhẫn, đó chính là chiếc chìa khoá cuối cùng mở được cửa.

-Saint Exupery-


#3 quochuyksxd

quochuyksxd

    biết lệnh fillet

  • Members
  • PipPipPipPip
  • 201 Bài viết
Điểm đánh giá: 24 (tàm tạm)

Đã gửi 11 April 2012 - 09:22 AM

1-Bạn quét vùng chọn cần thay đổi text
2-Ấn Ctr+1 hiện bảng properties
3-Trên góc trái chọn danh sách xổ xuống và chọn text
4-Thay đổi chiều cao text thoải mái
5-Chúc bạn thành công!
Ghi chú: chỉ áp dụng cho dtext
  • 0

#4 engineer0405

engineer0405

    biết vẽ polygon

  • Members
  • PipPip
  • 78 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 11 April 2012 - 09:27 AM

đúng là cad làm được các anh ạ
nhưng mà làm như vậy khá mất thời gian
em đã làm thử khi chỉnh sữa các bản vẽ
nhưng như thế sẽ tốn hơi khá nhiều thời gian nếu thay đổi nhiều bản vẽ
vì vậy em mới nhờ các anh viết dùm lisp giúp ạ
các anh giúp em với
em cảm ơn ạ
  • 0

#5 quochuyksxd

quochuyksxd

    biết lệnh fillet

  • Members
  • PipPipPipPip
  • 201 Bài viết
Điểm đánh giá: 24 (tàm tạm)

Đã gửi 11 April 2012 - 09:33 AM

Vậy bạn phải nhờ các cao thủ lips rồi. Nếu có được 1 lips như vậy cũng rất tuyệt :)
  • 0

#6 nvduong

nvduong

    biết vẽ line

  • Members
  • PipPip
  • 26 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 11 April 2012 - 09:36 AM

em chào các anh ạ
các anh viết giúp em với ạ
1.lisp thế này ạ
-chọn vùng cần thay đổi chiều cao chữ
-chọn chiều cao chữ
-tất cả các text trong vùng chọn đều có cùng kích thước mình nhập (không phân biệt font chữ...)
2.lisp như vậy ạ:
-chọn vùng chọn
-kick vào text cần thay đổi
-Nhập chiều cao cần thay đổi
Nhưng khác ở lisp này là text mà mình chọn có cùng text style mới thay đổi còn những text khác vẫn giữ nguyên
em đang cần, mong các anh giúp ạ

Với những vấn đề đơn giản như vậy bạn không cần và cũng không nên dùng lisp sẽ dễ bị loãng.
Y/C1: bạn có thể sử dụng lệnh filter, chỉ để lại Object type = text sau đó quét chuột vùng cần chọn là bạn có thể đổi chiều cao tùy ý
Y/C2: cũng là lệnh filter, nhưng lần này bạn để thêm lưa chọn style
  • 0
Happiness, like anything else in life, needs to be nurtured by all your endeavours

#7 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5682 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 11 April 2012 - 09:40 AM

1 lisp cơ bản như vậy hẳn sẽ có rất nhiều trên mạng cũng như trong 4room trước đây. Mình vẫn luôn không hiểu tại sao các bạn thụ động trong việc tìm kiếm công cụ cho mình như vậy :)
Giả sử như yêu cầu của bạn, nếu tìm GG với cụm từ "change text height lisp" hay "change textstyle height lisp" .... thì k thể không có 1 đống lisp tây ta tàu hiện lên
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#8 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 11 April 2012 - 09:42 AM

Vậy bạn phải nhờ các cao thủ lips rồi. Nếu có được 1 lips như vậy cũng rất tuyệt :)

Bạn hãy thử Lệnh Scaletext.
Scaletext tự động lọc Text rồi
Lệnh này ở đây :
http://www.cadviet.com/forum/index.php?showtopic=9348

@quochuyksxd : Kiến nghị bạn kiểm tra lại kích thước hình ảnh chữ kí ở dưới bài viết của bạn nên phù hợp với
Quy định về size của ảnh ở đây :

http://www.cadviet.c...showtopic=11662
  • 1

#9 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5449 Bài viết
Điểm đánh giá: 2625 (tuyệt vời)

Đã gửi 11 April 2012 - 09:44 AM

đúng là cad làm được các anh ạ
nhưng mà làm như vậy khá mất thời gian
em đã làm thử khi chỉnh sữa các bản vẽ
nhưng như thế sẽ tốn hơi khá nhiều thời gian nếu thay đổi nhiều bản vẽ
vì vậy em mới nhờ các anh viết dùm lisp giúp ạ
các anh giúp em với
em cảm ơn ạ

Nếu thích lisp thì thử cái này xem!

;Doan Van Ha - CADViet.com. 27-11-2011. Thay doi chieu cao Text/Mtext.
(defun C:HA (/ ss i hei)
(vl-load-com)
(setq i 0)
(princ "\nChon cac Text/Mtext can thay doi chieu cao...")
(setq ss (ssget '((-4 . "<OR") (0 . "MTEXT") (0 . "TEXT") (-4 . "OR>"))))
(if ss
(progn
(or size (setq size (getvar "textsize")))
(setq hei (getdist (strcat "\nNhap chieu cao Text moi <" (rtos size 2) ">: ")))
(if (= hei nil) (setq hei size) (setq size hei))
(repeat (sslength ss)
(vla-put-height (vlax-ename->vla-object (ssname ss i)) hei)
(setq i (1+ i)))))
(princ))

  • 2

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#10 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 11 April 2012 - 09:51 AM

Nếu thích lisp thì thử cái này xem!


;Doan Van Ha - CADViet.com. 27-11-2011. Thay doi chieu cao Text/Mtext.
(defun C:HA (/ ss i hei)
(vl-load-com)
(setq i 0)
(princ "\nChon cac Text/Mtext can thay doi chieu cao...")
(setq ss (ssget '((-4 . "<OR") (0 . "MTEXT") (0 . "TEXT") (-4 . "OR>"))))
(if ss
(progn
(or size (setq size (getvar "textsize")))
(setq hei (getdist (strcat "\nNhap chieu cao Text moi <" (rtos size 2) ">: ")))
(if (= hei nil) (setq hei size) (setq size hei))
(repeat (sslength ss)
(vla-put-height (vlax-ename->vla-object (ssname ss i)) hei)
(setq i (1+ i)))))
(princ))

Bác DVH lạm dụng vô Lisp dữ quá! :D
Scaletext đã có chức năng lọc text và cả Mtext luôn rồi ạ!
  • 1

#11 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5449 Bài viết
Điểm đánh giá: 2625 (tuyệt vời)

Đã gửi 11 April 2012 - 09:56 AM

Bác DVH lạm dụng vô Lisp dữ quá! :D
Scaletext đã có chức năng lọc text và cả Mtext luôn rồi ạ!

1). Tôi không rành Cad nhiều. 2). Chủ topic cứ thích lisp. 3). Cái này có sẵn. Kết luận: lãng phí! :D
  • 1

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#12 engineer0405

engineer0405

    biết vẽ polygon

  • Members
  • PipPip
  • 78 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 11 April 2012 - 01:51 PM

em cảm ơn các anh đã giúp đỡ ạ
hihii
  • 0